Get a deal
curl --request GET \
--url https://api.journeybee.io/v1/deals/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.journeybee.io/v1/deals/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.journeybee.io/v1/deals/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "<string>",
"label": "<string>",
"deal_value": 123,
"total_commission_value": 123,
"expiration_date": "<string>",
"stage": {
"uuid": "<string>",
"label": "<string>",
"phase": "new"
},
"lead": {
"uuid": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"company_name": "<string>"
},
"partner": {
"uuid": "<string>",
"name": "<string>",
"partner_type": "referral"
},
"currency": {
"uuid": "<string>",
"code": "<string>",
"label": "<string>"
},
"tags": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"assigned_users": [
{
"uuid": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>"
}
],
"custom_fields": [
{
"uuid": "<string>",
"label": "<string>",
"type": "text",
"value": {
"text": "<string>",
"textarea": "<string>",
"number": 123,
"date": "<string>",
"boolean": true,
"select": 123,
"multi_select": [
123
]
},
"options": [
{
"id": 123,
"label": "<string>"
}
]
}
],
"created_at": "<string>",
"updated_at": "<string>"
}Deals
Get a deal
GET
/
deals
/
{uuid}
Get a deal
Authorizations
API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
200 - application/json
Default Response
Monetary amount in WHOLE currency units (the displayed amount, e.g. 1000.00 = one thousand) — NOT minor units/cents. Do NOT divide or multiply by 100; send and show the amount as-is.
Monetary amount in WHOLE currency units (the displayed amount, e.g. 1000.00 = one thousand) — NOT minor units/cents. Do NOT divide or multiply by 100; send and show the amount as-is.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes